// $Revision: 1.1 $
//	Copyright 1996 Be Inc., All Rights Reserved.
// Modified by T. Yamagata for Calendar
//	Last Update: 981226

#ifndef _CALENDAR_VIEW_H
#define _CALENDAR_VIEW_H

#ifdef _BUILD_CALENDAR_VIEW_							//981124
#define _IMPEXP_CALENDAR_VIEW_	__declspec(dllexport)	//981124
#else													//981006
#define _IMPEXP_CALENDAR_VIEW_	__declspec(dllimport)	//981124
#endif													//981006

#include <View.h>

extern float sizeThresh[4],monthFontSizeList[5],daysFontSizeList[5];
float	GetFontSize(float width, float thresh[4], float sizeList[5]);
																//981203

class TimerView;												//981205
class MonthView;												//981205
class DaysView;													//981205

//========================================================================================

class _IMPEXP_CALENDAR_VIEW_ CalendarView : public BView	//981124
{
public:
                    CalendarView(BRect frame, char *name, int32 m, int32 y);
					CalendarView(BMessage *);
    virtual         ~CalendarView();
	
	// BView overrides	
	virtual void	FrameResized(float new_width, float new_height);
	virtual void	Draw(BRect updateRect) ;
	virtual status_t Archive(BMessage *, bool) const;
	static CalendarView *Instantiate(BMessage *);
	virtual void	AboutRequested(void);
	virtual void	MessageReceived(BMessage *);
	void			InitCalendarView(int32 m, int32 y, bool s, bool tym);
																//981124
	bool			CheckThisYearMonth(void);					//981124
	virtual void	Invalidate(void);							//981208

public:
    int32			month;
    int32			year;
    bool			showHolidays;
    font_family		family;										//981114
    font_style		style;										//981114
	bool			thisYearMonth;								//981121
	TimerView *		topView;									//981203
	DaysView *		bottomView;									//981205
	double			GridMargin;									//981205
	BPoint			GridCellSize;								//981205
	float			monthFontSize;								//981205
	float			daysFontSize;								//981205
	float			topViewSize;								//981226
	rgb_color		viewColor;									//981215
};
#endif

